### Enumeration

# Gtk TextBufferNotifyFlags

since: 4.16

#### Declaration

    flags Gtk.TextBufferNotifyFlags

#### Description [src]

Values for `GtkTextBufferCommitNotify` to denote the point of the notification.

Available since: 4.16

#### Members

`GTK_TEXT_BUFFER_NOTIFY_BEFORE_INSERT`

  Be notified before text is inserted into the underlying buffer.

  - Value: `1`
  - Available since: 4.16
`GTK_TEXT_BUFFER_NOTIFY_AFTER_INSERT`

  Be notified after text has been inserted into the underlying buffer.

  - Value: `2`
  - Available since: 4.16
`GTK_TEXT_BUFFER_NOTIFY_BEFORE_DELETE`

  Be notified before text is deleted from the underlying buffer.

  - Value: `4`
  - Available since: 4.16
`GTK_TEXT_BUFFER_NOTIFY_AFTER_DELETE`

  Be notified after text has been deleted from the underlying buffer.

  - Value: `8`
  - Available since: 4.16